cancel
Showing results for 
Search instead for 
Did you mean: 

Management Engine Firmware 11.11.70.1622 update for x299 mainboards

vmanuelgm
Level 11
New ME Firmware for x299 boards, version 11.11.70.1622. Here u can download the files:


https://mega.nz/#!IjZyzCaA!mCY-h8Hi4IKSx4hoeKMJgD15i0FovQnwW2IAQt5HcDQ


Just execute meupdatetool.exe after decompression.


Best regards!!!


😉




Asus x670e Hero, 7950x, TG 7000, Master 4090, 970 PRO, 860 EVO, Intel 750,
SN850, SN750, 840 Pro, 2xSkyhawk 4TB, Pioneer S12U
EVGA T2 1600, Silverstone TJ11, Custom LC, Acer Predator x35, Philips OLED
238 Views
42 REPLIES 42

vmanuelgm wrote:
Asus uploaded the newest MEI version 11.12.0.1622 to its web. Remember this version is more Cascade Lake-X oriented, while 11.11.70.1622 is for previous CPU's.


this is correct, I updated to 11.12.0.1622 and it didn't protect nothing. I degraded to 11.11.70.1622 and it's good.
11.11.70.1622 stable for everyone?

cekeu
Level 12

tistou77
Level 13
11.12.0.1622 is for the new motherboard (R6E Encore, etc...) it would seem
Sorry for my english 😄


Case: Lian Li A77F
MB: Rampage VI Extreme Encore
CPU: i9 10980XE
RAM: G.Skill Trident Z RGB Royal 4x8Gb @4000 C16
GPU: EVGA RTX 2080ti XC Ultra
PSU: Seasonic Prime Ultra Titanium 1000W
OS: Intel Optane 905P PCIe
DATA: Samsung 980 Pro
SOUND: Asus Xonar Phoebus

restsugavan
Level 13
Both Intel Management Engine Firmware 11.11.70.1622 and 11.12.0.1622 were release to protected against X299 PCH Backdoor vulnerables.
ME 11.11.70.1622 designed for Skylake SP/X/D/W SKUs ( Core X 79XX/99XX ) which didn't had hardware mitigation on CPU silicon.
ME 11.12.0.1622 designed for Cascadelake SP/X/W SKUs ( Core X 100xx ) which include hardware mitigation on CPU silicon.

When use Intel CSME Detection tool 2.0.6.0 DATE 2019/11/14 below
:: https://downloadcenter.intel.com/downloads/eula/28632/Intel-Converged-Security-and-Management-Engine...

83874
Intel CSME Detection Tools 2.0.6.0 DATE 2019/11/14 Lastest version.


Checking system vulnerables status , If you use ME 11.12.0.1622 for Skylake SP/X/D/W SKUs it will show " This system was vulnerable ".
But for Cascadelake SKUs. It'll show " This system is not vulnerable, It has already been patched ".
So, For all Skylake SP/X/D/W SKUs it was recommended to use ME Firmware 11.11.70.1622 instead 11.12.0.1622.
W11CANARY 26100.1 Core i9 7980XE 02007108 MCE ME 11.12.95.2499 R6E Modified BIOS 3801 SAMSUNG OG9 FW 1019.0 SSD 970 EVO PLUS 1 TB x 3 NVIDIA RTX 4090 GAME READY 552.22 64GB GSKILL DDR4 3200MHz JBL 9.1 Sound Bar DTS-X

cekeu
Level 12
Hi, How do we downgrade ME Firmware ?

cekeu wrote:
Hi, How do we downgrade ME Firmware ?


Use Windows Administration Command Prompt then use ME Firmware 11.11.70.1622 Update Tool to update.:cool:*
W11CANARY 26100.1 Core i9 7980XE 02007108 MCE ME 11.12.95.2499 R6E Modified BIOS 3801 SAMSUNG OG9 FW 1019.0 SSD 970 EVO PLUS 1 TB x 3 NVIDIA RTX 4090 GAME READY 552.22 64GB GSKILL DDR4 3200MHz JBL 9.1 Sound Bar DTS-X

na current CSME Version is just to old for FW 11.12.0.1622 and needs to be updated for correctly Reading.




Tested with three different PCs with cascade lake x CPUs
You can ignore CSME if you have already FW 11.12 even on skylake-x CPUs, doesn't matter which CPU Gen.
The Tool thinks with 11.12 you have older firmware because 11.12.x.xxxx isn't in the Table of this Tool ( You can analyze with IDA/Ollydbg )

H-de wrote:
na current CSME Version is just to old for FW 11.12.0.1622 and needs to be updated for correctly Reading.




Tested with three different PCs with cascade lake x CPUs
You can ignore CSME if you have already FW 11.12 even on skylake-x CPUs, doesn't matter which CPU Gen.
The Tool thinks with 11.12 you have older firmware because 11.12.x.xxxx isn't in the Table of this Tool ( You can analyze with IDA/Ollydbg )



I had the same result as well.*
MZ790A Bios 2002, GSkill F5-8000J3848H16GX2-TZRK, 13900KS, EKWB D5 TBE 300, Seasonic Prime TX-1600 ATX 3.0, Asus Strix 4090 w/ Optimus block, Phanteks Enthoo Elite, Asus Claymore 2, Asus Gladius 3, Asus XG349C, Samsung 990, Windows 11 Pro

H-de wrote:
na current CSME Version is just to old for FW 11.12.0.1622 and needs to be updated for correctly Reading.



Tested with three different PCs with cascade lake x CPUs
You can ignore CSME if you have already FW 11.12 even on skylake-x CPUs, doesn't matter which CPU Gen.
The Tool thinks with 11.12 you have older firmware because 11.12.x.xxxx isn't in the Table of this Tool ( You can analyze with IDA/Ollydbg )


how do you test with IDA/Ollydbg ?
MB: ASUS RAMPAGE VI EXTREME-CPU: Intel Core i9-7920X Processor Extreme Edition 4.2 GHZ auto-CORSAIR Hydro Series H80i v2 Video: GEFORCE GTX 1070 Founders Edition. - G.SKILL 32GB 14-14-14-34
F4-3200C14Q-32GTZR- Seasonic PRIME Titanium 850 w-SSD: Samsung SSD 850 PRO 2TB x3 -SSD: Samsung 950 PRO M.2 512GB OS-Sound Blaster Z -Intel Ethernet Server Adapter I210 CASE:Cooler Master: HAF X MONITOR:IPS LED LG 27" 27UD69P 27 inch 4K 5 ms TV: LG OLED55C8P OS: Windows 10 x64 Pro up to date

restsugavan wrote:
Use Windows Administration Command Prompt then use ME Firmware 11.11.70.1622 Update Tool to update.:cool:*


Thanks, it can be useful